JUCE: AudioParameterBoolAttributes Class Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members
AudioParameterBoolAttributes Class Reference
juce_audio_processors » utilities

Properties of an AudioParameterBool. More...

`#include <juce_AudioParameterBool.h>`

Inheritance diagram for AudioParameterBoolAttributes:

## Additional Inherited Members
Public Types inherited from RangedAudioParameterAttributes< AudioParameterBoolAttributes, bool >
using | Category
using | StringFromValue
using | ValueFromString
Public Member Functions inherited from RangedAudioParameterAttributes< AudioParameterBoolAttributes, bool >
auto | withStringFromValueFunction (StringFromValue x) const
| An optional lambda function that converts a non-normalised value to a string with a maximum length.
auto | withValueFromStringFunction (ValueFromString x) const
| An optional lambda function that parses a string and converts it into a non-normalised value.
auto | withLabel (String x) const
| See AudioProcessorParameterWithIDAttributes::withLabel()
auto | withCategory (Category x) const
| See AudioProcessorParameterWithIDAttributes::withCategory()
auto | withMeta (bool x) const
| See AudioProcessorParameter::isMetaParameter()
auto | withAutomatable (bool x) const
| See AudioProcessorParameter::isAutomatable()
auto | withInverted (bool x) const
| See AudioProcessorParameter::isOrientationInverted()
const auto & | getStringFromValueFunction () const
| An optional lambda function that converts a non-normalised value to a string with a maximum length.
const auto & | getValueFromStringFunction () const
| An optional lambda function that parses a string and converts it into a non-normalised value.
const auto & | getAudioProcessorParameterWithIDAttributes () const
| Gets attributes that would also apply to an AudioProcessorParameterWithID.

## Detailed Description

Properties of an AudioParameterBool.

See also
  AudioParameterBool(), RangedAudioParameterAttributes()

The documentation for this class was generated from the following file:

- juce_AudioParameterBool.h